Get Transactions by Customer
curl --request GET \
--url https://app.dimepayments.com/api/zapier/transactions/{phone} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start_date": "2020-10-15",
"end_date": "2020-10-15",
"last_days": 90
}
'import requests
url = "https://app.dimepayments.com/api/zapier/transactions/{phone}"
payload = {
"start_date": "2020-10-15",
"end_date": "2020-10-15",
"last_days": 90
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({start_date: '2020-10-15', end_date: '2020-10-15', last_days: 90})
};
fetch('https://app.dimepayments.com/api/zapier/transactions/{phone}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"amount": "100.00",
"transaction_date": "2020-10-15 12:00:00",
"invoice_number": "1234567890",
"first_name": "John",
"last_name": "Doe",
"phone": "1234567890",
"email": "email@email.com"
}
]{
"data.message": "Can only contain last days or start and end date"
}{
"message": "Permission denied."
}{
"message": "Merchant not found"
}Zapier
Get Transactions by Customer
Get a list of all transactions for a given customer using their phone number
GET
/
api
/
zapier
/
transactions
/
{phone}
Get Transactions by Customer
Authorizations
You can retrieve your token by visiting your dashboard and clicking Generate API token under your profile in top right.
Path Parameters
Body
application/json
Response
Successful Listing
Transaction
Example:
"100.00"
Transaction
Example:
"2020-10-15 12:00:00"
Transaction invoice number
Example:
"1234567890"
Customer's first name
Example:
"John"
Customer's first name
Example:
"Doe"
Customer's phone number
Example:
"1234567890"
Customer's email address
Example:
"email@email.com"
Example:
[ { "amount": "100.00", "transaction_date": "2020-10-15 12:00:00", "invoice_number": "1234567890", "first_name": "John", "last_name": "Doe", "phone": "1234567890", "email": "email@email.com" } ]
⌘I

